package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWF3C3Response {

    @Parameter(name = "AddressCity")
    String addressCity();

    @Parameter(name = "AddressContHouseNumber")
    String addressContHouseNumber();

    @Parameter(name = "AddressContLandRegistryNumber")
    String addressContLandRegistryNumber();

    @Parameter(name = "AddressCountry")
    String addressCountry();

    @Parameter(name = "AddressStreet")
    String addressStreet();

    @Parameter(name = "AddressZipCode")
    Long addressZipCode();

    @Parameter(name = "FirstName")
    String firstName();

    @Parameter(name = "LastName")
    String lastName();

    @Parameter(name = "OkecCode")
    String okecCode();

    @Parameter(name = "SecondName")
    String secondName();

}